import 'dart:io';
import 'dart:ui';
import 'package:flutter/material.dart';

class StoryImageWidget extends StatefulWidget {
  final String image;
  final Function(Duration duration) onLoaded;
  const StoryImageWidget(
      {Key key, @required this.image, @required this.onLoaded})
      : super(key: key);

  @override
  State<StatefulWidget> createState() => _StoryImageWidgetState();
}

class _StoryImageWidgetState extends State<StoryImageWidget> {
  @override
  void initState() {
    super.initState();
    widget.onLoaded(Duration(seconds: 2));
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.width,
      height: MediaQuery.of(context).size.height,
      child: Stack(
        fit: StackFit.expand,
        alignment: Alignment.center,
        children: <Widget>[
          Image.file(
            File(widget.image),
            width: MediaQuery.of(context).size.width,
            height: MediaQuery.of(context).size.height,
            fit: BoxFit.fill,
          ),
        ],
      ),
    );
  }
}
